host_functional.py File Reference

Go to the source code of this file.

## Namespaces

| mbed_host_tests.host_tests_toolbox.host_functional

## Functions

def | mbed_host_tests.host_tests_toolbox.host_functional.flash_dev (disk=None, image_path=None, copy_method='default', port=None, program_cycle_s=4)
| Flash device using pythonic interface. More...
def | mbed_host_tests.host_tests_toolbox.host_functional.reset_dev (port=None, disk=None, reset_type='default', reset_timeout=1, serial_port=None, baudrate=DEFAULT_BAUD_RATE, timeout=1, verbose=False)
| Reset device using pythonic interface. More...
def | mbed_host_tests.host_tests_toolbox.host_functional.handle_send_break_cmd (port, disk, reset_type=None, baudrate=None, timeout=1, verbose=False)
| Resets platforms and prints serial port output Mix with switch -r RESET_TYPE and -p PORT for versatility. More...